Author Topic: version 1.3.1 upgrade failure  (Read 1033 times)

Offline PSMUS

  • Newbie
  • *
  • Posts: 11
  • Karma: +1/-0
    • View Profile
version 1.3.1 upgrade failure
« on: August 14, 2021, 11:05:08 AM »
I attempted to upgrade to version 1.3.1 and got the following message:

Error: Can't unpack package "/home/MyServer/public_html/portablesawmill.us/admin/system/temp/install/index.php" after download. Archive error. See error log for details.


The Error Log entries were:

2021-08-14 14:45:19 - App Error: AbanteCart core v.1.3.0 internal corruption of phar "/home/MyServer/public_html/portablesawmill.us/admin/system/temp/install/index.php" (__HALT_COMPILER(); not found)
Trace:
#0 /home/MyServer/public_html/portablesawmill.us/core/lib/package_manager.php on line 159
#1 /home/MyServer/public_html/portablesawmill.us/admin/controller/pages/tool/package_installer.php on line 585
#2 /home/MyServer/public_html/portablesawmill.us/core/engine/dispatcher.php on line 287
#3 /home/MyServer/public_html/portablesawmill.us/core/engine/dispatcher.php on line 322
#4 /home/MyServer/public_html/portablesawmill.us/core/engine/page.php on line 108
2021-08-14 14:45:19 - App Error: AbanteCart core v.1.3.0 Error: Cannot unpack file "/home/MyServer/public_html/portablesawmill.us/admin/system/temp/install/index.php". Please, see error log for details.
Trace:
#0 /home/MyServer/public_html/portablesawmill.us/admin/controller/pages/tool/package_installer.php on line 589
#1 /home/MyServer/public_html/portablesawmill.us/core/engine/dispatcher.php on line 287
#2 /home/MyServer/public_html/portablesawmill.us/core/engine/dispatcher.php on line 322
#3 /home/MyServer/public_html/portablesawmill.us/core/engine/page.php on line 108
#4 /home/MyServer/public_html/portablesawmill.us/core/engine/router.php on line 193

I was installing this upgrade in hopes that it would solve my Customer Login issue which shows up in the log as:

2021-08-14 14:59:02 - error: AbanteCart core v.1.3.0 Illegal length modifier specified 'f' in s[np]printf call in <b>/home/d3wbco5/public_html/portablesawmill.us/core/cache/file.php</b> on line <b>253</b>
2021-08-14 14:59:05 - error: AbanteCart core v.1.3.0 Illegal length modifier specified 'f' in s[np]printf call in <b>/home/d3wbco5/public_html/portablesawmill.us/core/cache/file.php</b> on line <b>253</b>

There is another error message for the same file but that is for line 130. I have looked at the file and both lines have calls with $path being passed.

My installation was installed through Softaculous on my server.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1992
  • Karma: +305/-12
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: version 1.3.1 upgrade failure
« Reply #1 on: August 16, 2021, 03:04:03 AM »
i guess you have a php version 7.4 or even 8.0.
Please try automatic upgrade under version 7.0 or 7.1.

or you can try to upgrade manually https://abantecart.atlassian.net/wiki/spaces/AD/pages/5275676/Upgrade+manually
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline PSMUS

  • Newbie
  • *
  • Posts: 11
  • Karma: +1/-0
    • View Profile
Re: version 1.3.1 upgrade failure
« Reply #2 on: August 16, 2021, 02:55:47 PM »
My domain was using php 7.3. I changed it to 7.1 and tried it again. Nothing changed, the same error again.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1992
  • Karma: +305/-12
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: version 1.3.1 upgrade failure
« Reply #3 on: August 17, 2021, 08:33:57 AM »
My domain was using php 7.3. I changed it to 7.1 and tried it again. Nothing changed, the same error again.
Do you have a PHAR php extesion installed on your host?
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline PSMUS

  • Newbie
  • *
  • Posts: 11
  • Karma: +1/-0
    • View Profile
Re: version 1.3.1 upgrade failure
« Reply #4 on: August 17, 2021, 08:42:43 AM »
I do not see anything like that. It is a Sparc Linux machine with Apache 2.4.48 and MySQL is v10.2.36.
I have PEAR , Archive TAR, Console_getOpt, Structures_Graph, and XML_Util in the PHP apps department.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1992
  • Karma: +305/-12
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: version 1.3.1 upgrade failure
« Reply #5 on: August 17, 2021, 10:12:55 AM »
I do not see anything like that. It is a Sparc Linux machine with Apache 2.4.48 and MySQL is v10.2.36.
I have PEAR , Archive TAR, Console_getOpt, Structures_Graph, and XML_Util in the PHP apps department.

you can open file index.php and paste
Code: [Select]
phpinfo();. Then open it in the browser to see all info..
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline PSMUS

  • Newbie
  • *
  • Posts: 11
  • Karma: +1/-0
    • View Profile
Re: version 1.3.1 upgrade failure
« Reply #6 on: August 17, 2021, 07:43:27 PM »
It looks like it. I found this way down on the report:

Phar
Phar: PHP Archive support
enabled
Phar EXT version
2.0.2
Phar API version
1.1.1
SVN revision
$Id: e117ab0dc068703c55b505e78a0d3b3752e9c0b7 $
Phar-based phar archives
enabled
Tar-based phar archives
enabled
ZIP-based phar archives
enabled
gzip compression
enabled
bzip2 compression
enabled
OpenSSL support
enabled
Phar based on pear/PHP_Archive, original concept by Davey Shafik.
Phar fully realized by Gregory Beaver and Marcus Boerger.
Portions of tar implementation Copyright (c) 2003-2009 Tim Kientzle.
Directive
Local Value
Master Value
phar.cache_list
no value
no value
phar.readonly
On
On
phar.require_hash
On
On

Offline PSMUS

  • Newbie
  • *
  • Posts: 11
  • Karma: +1/-0
    • View Profile
Re: version 1.3.1 upgrade failure
« Reply #7 on: August 18, 2021, 06:51:22 PM »
So what do we need to do next.

Remember that I am trying to get this upgrade done, because customers cannot log into the website once their new account is setup and I am hoping that the upgrade will solve the issue.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 5226
  • Karma: +261/-2
    • View Profile

 

Powered by SMFPacks Social Login Mod